import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../../../core/styles/app_images.dart';

class BiometricLayout extends StatelessWidget {
  const BiometricLayout({super.key});

  @override
  Widget build(BuildContext context) {
    String biometricImage = "";
    if (Platform.isIOS) {
      biometricImage = AppImages.biometricFace;
    } else {
      biometricImage = AppImages.biometricFingerprint;
    }
    return Scaffold(
      backgroundColor: Colors.white,
      body: SizedBox(
        width: 1.sw,
        height: 1.sh,
        child: Stack(
          children: [
            Positioned.fill(
              child: SvgPicture.asset(
                height: 1.sh,
                width: 1.sw,
                AppImages.biometricBg,
                fit: BoxFit.cover,
              ),
            ),
            Positioned.fill(
              child: Align(
                alignment: Alignment.center,
                child: Image.asset(
                  biometricImage,
                  width: 133,
                  height: 155,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
